# This file is licensed under the terms of GNU GPLv2+.
Name:           perl-Module-Runtime
Version:        0.012
Release:        1%{?dist}
Summary:        Runtime module handling
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Runtime/
Source0:        http://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Module-Runtime-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Build:
BuildRequires:  perl(Module::Build)
# Module:
# (none)
# Tests:
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(warnings)
# Runtime:
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The functions exported by this module deal with runtime handling of Perl
modules, which are normally handled at compile time.

%prep
%setup -q -n Module-Runtime-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Runtime.3pm*

%changelog
* Sun Feb 12 2012 Paul Howarth <paul@city-fan.org> - 0.012-1
- Update to 0.012:
  - Work around Perl core bug (Perl RT#68590) regarding leakage of %%^H into
    modules being loaded
  - Work around Perl core bug that made a failed module loading appear
    successful when re-requiring the same module
  - Duplicate is_string() from Params::Classify, rather than importing it,
    to avoid circular dependency problems
  - Duplicate minimal exporting behaviour from Exporter, and avoid using the
    "feature", "warnings", "strict", and "parent" pragmata, to allow for
    possible future use of this module by any infrastructure module
  - Document core bug workarounds
  - Document module name syntax more prominently, and discuss the state of
    Unicode handling
  - Tweak documentation of use_package_optimistically()
  - Test behaviour with tainted module name
  - Test lack of unwanted eval frame around require
  - Give test modules more meaningful names
- Drop now-redundant dependencies on perl(Exporter), perl(Params::Classify)
  and perl(parent)
- BR: perl(strict) and perl(warnings) for test suite

* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.011-3
- Reinstate compatibility with old distributions like EL-5
  - Add back buildroot definition and cleaning
  - Add back %%defattr
- Classify buildreqs by Build/Module/Tests/Runtime
- Make %%files list more explicit
- Don't use macros for commands

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.011-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 25 2011 Petr Pisar <ppisar@redhat.com> - 0.011-1
- 0.011 bump

* Fri Oct 07 2011 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Wed Oct 05 2011 Petr Pisar <ppisar@redhat.com> - 0.009-1
- 0.009 bump
- Remove defattr now

* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 0.008-2
- Perl mass rebuild

* Mon Jul 11 2011 Petr Pisar <ppisar@redhat.com> 0.008-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot and defattr
